# libmonochrome - The MonochromeLib static implementation

The monochrome library was made by PierrotLL. This project is only a reorganization of the files to make a static library, instead of having to include the source files in the projects each time.

The original docs have been written to markdown and are available [in the wiki](http://git.planet-casio.com/cakeisalie5/libmonochrome/wikis/home).

## Pre-requisites

| Name                                          | Version |
| ----------------------------------------------| ------- |
| [libfx](https://forge.touhey.fr/casio/lib/fx) | =1.0    |

## Building

First, create the Makefile configuration with the `./configure` command. Defaults settings should be enough, but if you want to change the installation directories, see `./configure --help`.

To build the library, simply `make`.  
To install the built library, use `make install` (it will use the configuration generated by `./configure`).

To build the manpages (requires a2x/asciidoc, `sudo apt-get install asciidoc` under Debian), just run `make all-doc`.  
To install it, run `make install-doc`.

If you want to contribute, these Makefile targets might help you :
- `make clean`: clean the object files ;
- `make fclean`: clean the object files and the final library ;
- `make re`: cleans the object files and the final library, then makes it all again ;
- `make clean-doc`: cleans the build manpages.

## Using

Once installed, when linking a project using this library, you will need to link the library and its pre-requisites by adding the following flags :

	-lfx -lmonochrome
